import { Injectable } from '@nestjs/common';
import { EntityManager, EntityRepository } from '@mikro-orm/postgresql';
import { Payment } from '../entities/payment.entity';

@Injectable()
export class PaymentRepository extends EntityRepository<Payment> {
  constructor(readonly em: EntityManager) {
    super(em, Payment);
  }
}
